org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class RequestFilter

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.RequestFilter

-     public class RequestFilter
      extends Object

  Java class for RequestFilter complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RequestFilter">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="policyOIDs" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}FilterOIDCollection"/>
               <any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `any`
    `protected FilterOIDCollection` | `policyOIDs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAny()` Gets the value of the any property.
    `FilterOIDCollection` | `getPolicyOIDs()` Gets the value of the policyOIDs property.
    `void` | `setPolicyOIDs(FilterOIDCollection value)` Sets the value of the policyOIDs property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### policyOIDs

          protected FilterOIDCollection policyOIDs

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### RequestFilter

          public RequestFilter()

  - ### Method Detail

    - #### getPolicyOIDs

          public FilterOIDCollection getPolicyOIDs()

      Gets the value of the policyOIDs property.
      Returns:
        possible object is `FilterOIDCollection`

    - #### setPolicyOIDs

          public void setPolicyOIDs(FilterOIDCollection value)

      Sets the value of the policyOIDs property.
      Parameters:
        `value` - allowed object is `FilterOIDCollection`

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

              getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `Element`

Copyright © 2017 WSO2. All rights reserved.